function saveOption(id) {
	var input = document.getElementById(id);
	tabloc_options.set(id, input.checked);
}

function saveOptions() {
	saveOption("fg_foreground");
	saveOption("pos_relative");
	saveOption("ex_inpagelink");
	saveOption("ex_javascript");
	saveOption("ex_formsubmit");
	tabloc_options.set("auto_url", document.getElementById("auto_url").value);

	var status = document.getElementById("status");
	status.innerHTML = chrome.i18n.getMessage("options_save_done");
	status.style.display = "block";
	setTimeout(function() { status.style.display = "none"; }, 1000);
}

function restoreLabel(id, msgname) {
	if(!msgname) {
		msgname = id;
	}
	var tag = document.getElementById(id);
	tag.innerHTML = chrome.i18n.getMessage(msgname);
}

function restoreLabels() {
	restoreLabel("options_title");
	restoreLabel("options_head_foreground");
	restoreLabel("options_fg_background");
	restoreLabel("options_fg_foreground");
	restoreLabel("options_head_position");
	restoreLabel("options_pos_last");
	restoreLabel("options_pos_relative");
	restoreLabel("options_head_exclude");
	restoreLabel("options_ex_inpagelink");
	restoreLabel("options_ex_javascript");
	restoreLabel("options_ex_formsubmit");
	restoreLabel("options_head_autolock");
	restoreLabel("options_auto_url");
	restoreLabel("options_save");
}

function restoreOption(id) {
	var input = document.getElementById(id);
	input.checked = tabloc_options.get(id);
}

function restoreOptions() {
	var fg_foreground = tabloc_options.get("fg_foreground");
	document.getElementById("fg_background").checked = !fg_foreground;
	document.getElementById("fg_foreground").checked = fg_foreground;

	var pos_relative = tabloc_options.get("pos_relative");
	document.getElementById("pos_last").checked     = !pos_relative;
	document.getElementById("pos_relative").checked = pos_relative;

	restoreOption("ex_inpagelink");
	restoreOption("ex_javascript");
	restoreOption("ex_formsubmit");

	document.getElementById("auto_url").value = tabloc_options.get("auto_url");
}

window.addEventListener("load", function(){
	restoreLabels();
	restoreOptions();
	document.getElementById("options_save").addEventListener("click", saveOptions);
});
